package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.equipment.entity.EquipmentBrand;
import com.lz.modules.equipment.entity.EquipmentBrandReq;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-29
*/
public interface EquipmentBrandService extends IService<EquipmentBrand> {



	EquipmentBrand selectEquipmentBrandById(Long id);


	Long insertEquipmentBrand(EquipmentBrand equipmentBrand);


	int updateEquipmentBrandById(EquipmentBrand equipmentBrand);


	int updateCoverEquipmentBrandById(EquipmentBrand equipmentBrand);


	int deleteEquipmentBrandById(Long id);


	EquipmentBrand selectEquipmentBrandByTypeBrand(Long id, String brand);

    PageUtils selectByCondition(EquipmentBrandReq req);
	List<EquipmentBrand> selectEquipmentBrandByTypeAndLikeBrand(Long trpeId, String bran);

    List<EquipmentBrand> selectAll();

	List<EquipmentBrand> selectByTypeId(Long typeId);

	EquipmentBrand selectByBrand(String brand);

}